#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    int n, x, i, j, suma;
    cin >> n;
    int a[n];
    cin >> x;
    for(i = 0; i < n; i++)
    {
        cin >> a[i];
    }
    sort(a, a + n-1);
    suma = 0;
    suma = abs(x-a[0]);
    j = abs(a[0] - a[n-1]);
    cout << j + suma;
    return 0;
}